.button-purple {
  display: inline-block;
  border: 1px solid #8B77FF;
  border-radius: 12px;
  padding: 11px;
  font-size: 14px;
  line-height: 20px;
  font-weight: 700;
  color: #8B77FF;
  background-color: transparent;
  text-decoration: none;
  text-align: center;
  transition: 0.2s ease-out;
}
.button-purple:hover {
  background-color: rgba(139, 119, 255, 0.2);
  border-color: rgba(139, 119, 255, 0.2);
}

.button-purple-bg {
  display: inline-block;
  border: 1px solid #8B77FF;
  border-radius: 12px;
  padding: 11px;
  font-size: 14px;
  line-height: 20px;
  font-weight: 700;
  color: #fff;
  background-color: #8B77FF;
  text-decoration: none;
  text-align: center;
  transition: 0.2s ease-out;
}
.button-purple-bg:hover {
  background-color: #5c45e7;
  border-color: #5c45e7;
}
.button-purple-bg:disabled {
  opacity: 0.4;
  cursor: no-drop;
}
.button-purple-bg:disabled:hover {
  color: #fff;
  background-color: #8B77FF;
}

.modal-close {
  flex-shrink: 0;
  display: block;
  width: 24px;
  height: 24px;
  background-color: transparent;
  padding: 0;
  border: none;
  background-image: url("/assets/user/img/modal-close.svg");
}

.modal-support {
  padding: 0 16px;
}
.modal-support .modal-dialog {
  max-width: 600px;
  margin-left: auto;
  margin-right: auto;
}
.modal-support .modal-content {
  border-radius: 40px;
  border: none;
  background-color: #fff;
}
.modal-support_content {
  padding: 40px;
}
.modal-support_header {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  margin-bottom: 16px;
}
.modal-support_title {
  font-size: 28px;
  line-height: 32px;
  font-weight: 700;
  color: #434054;
}
.modal-support_text {
  max-width: 384px;
  font-size: 14px;
  line-height: 20px;
  color: rgba(67, 64, 84, 0.6);
  margin-bottom: 24px;
}
.modal-support_grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-gap: 0 16px;
}
.modal-support_group {
  margin-bottom: 16px;
}
.modal-support_subtitle {
  font-size: 14px;
  line-height: 20px;
  font-weight: 700;
  color: #434054;
  margin-bottom: 8px;
}
.modal-support_input {
  width: 100%;
  background-color: #F8F9FA;
  border: 1px solid rgba(139, 119, 255, 0.2);
  border-radius: 12px;
  padding: 11px;
  font-size: 14px;
  line-height: 20px;
  color: #434054;
  outline: none;
  transition: 0.2s ease-out;
}
.modal-support_input::-moz-placeholder {
  font-size: 14px;
  line-height: 20px;
  color: rgba(67, 64, 84, 0.6);
}
.modal-support_input::placeholder {
  font-size: 14px;
  line-height: 20px;
  color: rgba(67, 64, 84, 0.6);
}
.modal-support_input:focus {
  border-color: #8B77FF;
}
.modal-support_textarea {
  width: 100%;
  height: 120px;
  background-color: #F8F9FA;
  border: 1px solid rgba(139, 119, 255, 0.2);
  border-radius: 12px;
  padding: 15px;
  font-size: 14px;
  line-height: 20px;
  color: #434054;
  outline: none;
  resize: none;
  transition: 0.2s ease-out;
}
.modal-support_textarea::-moz-placeholder {
  font-size: 14px;
  line-height: 20px;
  color: rgba(67, 64, 84, 0.6);
}
.modal-support_textarea::placeholder {
  font-size: 14px;
  line-height: 20px;
  color: rgba(67, 64, 84, 0.6);
}
.modal-support_textarea:focus {
  border-color: #8B77FF;
}
.modal-support_buttons {
  display: flex;
}
.modal-support_button {
  width: 100%;
  font-size: 12px;
  line-height: 16px;
}
.modal-support_button:not(:last-child) {
  margin-right: 16px;
}

@media screen and (max-width: 768px) {
  .modal-support .modal-dialog {
    max-width: 460px;
  }
  .modal-support .modal-content {
    border-radius: 24px;
  }
  .modal-support_content {
    padding: 24px;
  }
  .modal-support_title {
    font-size: 24px;
    line-height: 28px;
  }
  .modal-support_text {
    margin-bottom: 16px;
  }
  .modal-support_grid {
    grid-template-columns: repeat(1, 1fr);
  }
  .modal-support_group {
    margin-bottom: 8px;
  }
  .modal-support_subtitle {
    margin-bottom: 4px;
  }
  .modal-support_buttons {
    margin-top: 16px;
    flex-direction: column;
  }
  .modal-support_button:not(:last-child) {
    margin-right: 0;
    margin-bottom: 8px;
  }
}
.auth {
  max-width: 400px;
  width: 100%;
  background-color: #F8F9FA;
  border-radius: 24px;
  padding: 32px;
}
.auth.login .auth_group {
  margin-bottom: 16px;
}
.auth_question {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  bottom: 40px;
  display: flex;
  font-size: 14px;
  line-height: 20px;
  font-weight: 700;
  color: #8B77FF;
  background-color: transparent;
  border: none;
  padding: 0;
  text-decoration: none;
}
.auth_question:hover {
  text-decoration: underline;
}
.auth_title {
  font-size: 36px;
  line-height: 36px;
  font-weight: 700;
  color: #434054;
  letter-spacing: -2px;
  margin-bottom: 24px;
}
.auth_subtitle {
  font-size: 28px;
  line-height: 32px;
  font-weight: 700;
  color: #434054;
  letter-spacing: -1.8px;
  margin-bottom: 24px;
}
.auth_text {
  font-size: 14px;
  line-height: 20px;
  color: rgba(67, 64, 84, 0.6);
  margin: -8px 0 24px;
}
.auth_nav {
  background-color: #fff;
  border-radius: 12px;
  padding: 2px;
  margin-bottom: 24px;
}
.auth_nav-list {
  margin: 0;
  padding: 0;
  list-style: none;
  display: flex;
}
.auth_nav-item {
  width: 100%;
}
.auth_nav-item:not(:last-child) {
  margin-right: 4px;
}
.auth_nav-btn {
  width: 100%;
  padding: 8px;
  border-radius: 12px;
  background-color: transparent;
  border: none;
  font-size: 14px;
  line-height: 20px;
  font-weight: 400;
  color: rgba(67, 64, 84, 0.6);
  text-decoration: none;
  display: flex;
  justify-content: center;
  align-items: center;
  white-space: nowrap;
  outline: none;
  transition: 0.2s ease-out;
}
.auth_nav-btn:hover {
  background-color: rgba(139, 119, 255, 0.2);
}
.auth_nav-btn.active {
  background-color: #8B77FF;
  color: #fff;
  font-weight: 700;
}
.auth_group {
  margin-bottom: 24px;
}
.auth_group.hidden {
  display: none;
}
.auth_group.visible {
  display: block;
}
.auth_label {
  font-size: 14px;
  line-height: 20px;
  font-weight: 700;
  color: #434054;
  margin-bottom: 8px;
}
.auth_input {
  width: 100%;
  background-color: #fff;
  border: 1px solid rgba(139, 119, 255, 0.2);
  border-radius: 12px;
  padding: 11px;
  font-size: 14px;
  line-height: 20px;
  color: #434054;
  outline: none;
  transition: 0.2s ease-out;
}
.auth_input::-moz-placeholder {
  font-size: 14px;
  line-height: 20px;
  color: rgba(67, 64, 84, 0.6);
}
.auth_input::placeholder {
  font-size: 14px;
  line-height: 20px;
  color: rgba(67, 64, 84, 0.6);
}
.auth_input:focus {
  border-color: #8B77FF;
}
.auth_forgot {
  display: flex;
  justify-content: flex-end;
  margin: -12px 0 -20px;
}
.auth_forgot-link {
  display: flex;
  background-color: transparent;
  border: none;
  padding: 0;
  text-decoration: none;
  font-size: 12px;
  line-height: 16px;
  font-weight: 700;
  color: #8B77FF;
}
.auth_forgot-link:hover {
  text-decoration: underline;
}
.auth_code {
  max-width: 200px;
  width: 100%;
  margin: 0 auto;
}
.auth_code-box {
  display: flex;
  margin-bottom: 8px;
}
.auth_code-input {
  max-width: 44px;
  background-color: #fff;
  border: 1px solid rgba(139, 119, 255, 0.2);
  border-radius: 12px;
  padding: 11px 17px;
  font-size: 14px;
  line-height: 20px;
  color: #434054;
  outline: none;
  transition: 0.2s ease-out;
}
.auth_code-input:not(:last-child) {
  margin-right: 8px;
}
.auth_code-input::-moz-placeholder {
  font-size: 14px;
  line-height: 20px;
  color: rgba(67, 64, 84, 0.4);
}
.auth_code-input::placeholder {
  font-size: 14px;
  line-height: 20px;
  color: rgba(67, 64, 84, 0.4);
}
.auth_code-input:focus {
  border-color: #8B77FF;
}
.auth_code-replay {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.auth_code-send {
  background-color: transparent;
  border: none;
  padding: 0;
  text-decoration: none;
  font-weight: 700;
  font-size: 12px;
  line-height: 16px;
  color: #8B77FF;
}
.auth_code-send:hover {
  text-decoration: underline;
}
.auth_code-send:disabled {
  opacity: 0.4;
  text-decoration: none;
  cursor: no-drop;
}
.auth_code-time {
  font-size: 12px;
  line-height: 16px;
  color: #434054;
}
.auth_controller {
  display: flex;
  margin-top: 40px;
}
.auth_get-code {
  width: 100%;
}
.auth_code-btn {
  width: 100%;
}
.auth_code-btn:not(:last-child) {
  margin-right: 12px;
}
.auth_account {
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 14px;
  line-height: 20px;
  color: rgba(67, 64, 84, 0.4);
  margin-top: 40px;
}
.auth_account-title {
  margin-right: 8px;
}
.auth_account-link {
  color: #8B77FF;
  font-weight: 700;
  text-decoration: none;
}
.auth_account-link:hover {
  text-decoration: underline;
}
.auth .form-loading {
  cursor: progress;
}
.auth .form-loading button {
  opacity: 0.5;
}

.auth-success {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.auth-success_icon {
  width: 68px;
  height: 68px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  background-color: rgba(139, 119, 255, 0.08);
  margin-bottom: 24px;
}
.auth-success_title {
  font-size: 28px;
  line-height: 32px;
  color: #434054;
  font-weight: 700;
  text-align: center;
  letter-spacing: -1.2px;
  margin-bottom: 40px;
}

@media screen and (max-width: 768px) {
  .auth {
    max-width: 360px;
    padding: 24px;
  }
  .auth.login .auth_group {
    margin-bottom: 8px;
  }
  .auth_question {
    bottom: 16px;
  }
  .auth_title {
    font-size: 32px;
    letter-spacing: -1.2px;
    margin-bottom: 16px;
  }
  .auth_subtitle {
    font-size: 24px;
    line-height: 28px;
    letter-spacing: -1.2px;
  }
  .auth_nav {
    margin-bottom: 16px;
  }
  .auth_group {
    margin-bottom: 8px;
  }
  .auth_forgot {
    margin: -4px 0 -20px;
  }
  .auth_controller {
    margin-top: 32px;
  }
  .auth_code-btn:not(:last-child) {
    margin-right: 8px;
  }
  .auth_account {
    margin-top: 24px;
  }
  .auth-success_title {
    font-size: 24px;
    line-height: 28px;
  }
}
body {
  background: #fff;
  color: #e1e1e1;
  font-size: 16px;
  font-family: "Helvetica", sans-serif;
  font-weight: 400;
}

.box {
  background: #2c2c2c;
  padding: 40px 60px;
  margin: 8% auto 0 auto;
  max-width: 600px;
  border-radius: 20px;
  box-shadow: 3px 3px 10px #161616;
}
.box h1 {
  margin: 0;
}
.box p {
  margin: 25px 0;
  color: #b9b9b9;
}
.box a {
  color: #e1e1e1;
}
.box a:hover {
  text-decoration: none;
}
.box form {
  padding-top: 60px;
}
.box form label {
  display: block;
  margin-bottom: 20px;
}
.box form label span {
  display: block;
  margin-bottom: 10px;
}
.box form label input[type=text],
.box form label input[type=password],
.box form label input[type=email] {
  background: #303030;
  box-sizing: border-box;
  width: 100%;
  padding: 15px 20px;
  color: #fff;
  border: 1px solid #181818;
  font-family: "Helvetica", sans-serif;
  font-size: 15px;
}
.box form label input:focus {
  outline: none;
  border: 1px solid #000;
}
.box form .btn {
  padding: 18px 25px;
  font-size: 17px;
}
.box form .btn-default {
  background: #181818;
}
.box .error {
  padding-top: 50px;
}
.box .error p {
  color: #ff4c4c;
  margin: 5px 0;
}
.box hr {
  border: none;
  border-bottom: 1px solid #3c3c3c;
  border-top: 1px solid #1c1c1c;
  margin: 30px 0;
}

.btn {
  display: inline-block;
  padding: 8px 15px;
  margin-right: 10px;
  text-decoration: none;
  border: none;
  cursor: pointer;
}

.btn-default {
  color: #c1c1c1;
  background: #262626;
}

.btn-default:hover {
  color: #d2d2d2;
  background: #1a1a1a;
}

.extra-info {
  margin: 20px auto;
  color: #5a5a5a;
  font-size: 12px;
  text-align: center;
}
.extra-info a {
  color: #a5a5a5;
  text-decoration: none;
}
.extra-info a:hover {
  text-decoration: underline;
}

.box p.status {
  margin-bottom: -30px;
  color: #00b2e7;
}

.wrapper {
  height: 100vh;
  display: flex;
  overflow: hidden;
}

.content {
  width: 50%;
}
.content_inner {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
}

.cover {
  width: 50%;
}
.cover img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}

.action-error {
  color: red;
  font-size: 80%;
}

.auth_code .action-error {
  margin-top: 10px;
}

.auth_forgot + .action-error {
  margin-top: 30px;
  margin-bottom: -20px;
}

.hide {
  display: none;
}

@media screen and (max-width: 1024px) {
  .content {
    width: 100%;
    padding: 16px;
  }
  .cover {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    z-index: -1;
  }
}
